
package co.com.tigo.gatewaycbs.web.ws;

import javax.xml.ws.WebFault;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.6-1b01 
 * Generated source version: 2.2
 * 
 */
@WebFault(name = "GatewayCbsWSException", targetNamespace = "http://ws.web.gatewaycbs.tigo.com.co/")
public class GatewayCbsWSException_Exception
    extends Exception
{

    /**
     * Java type that goes as soapenv:Fault detail element.
     * 
     */
    private GatewayCbsWSException faultInfo;

    /**
     * 
     * @param faultInfo
     * @param message
     */
    public GatewayCbsWSException_Exception(String message, GatewayCbsWSException faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @param faultInfo
     * @param cause
     * @param message
     */
    public GatewayCbsWSException_Exception(String message, GatewayCbsWSException faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @return
     *     returns fault bean: co.com.tigo.gatewaycbs.web.ws.GatewayCbsWSException
     */
    public GatewayCbsWSException getFaultInfo() {
        return faultInfo;
    }

}
